GMTLEGS(GMTMANSECTION)

NAME
gmtlegs - Find cruises in a given region

SYNOPSIS
gmtlegs -Rwest/east/south/north [ -G ] [ -M ] [ -T ] [ -L ] [ -V ]

DESCRIPTION
gmtlegs will report the name of all the cruises that happened to be wholly or partially inside the specified region. As an option, only those cruises that collected a certain type of data can be reported.

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

OPTIONS
No space between the option flag and the associated arguments

-G  Report cruises that collected Gravity data. [Default is any data].

-M  Report cruises that collected Magnetics. [Default is any data].

-T  Report cruises that collected Topography. [Default is any data].

-L  Long output, i.e. cruisenames and data types available. [Default is cruisenames only].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To find all cruises around Hawaii that collected gravity and topography:

gmtlegs -R-162/-152/18/25 -G -T > hawaii_gt.legs

To find all cruises with magnetics:

gmtlegs -R0/360/-90/90 -M > all_m.legs

SEE ALSO
gmt(GMTMANSECTION), gmt2bin(GMTMANSECTION), binlegs(GMTMANSECTION)

REFERENCES
Wessel, P., and W. H. F. Smith, 2004, The Generic Mapping Tools (GMT) version 4 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http: American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.